public static interface JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketBuilders
| Modifier and Type | Method and Description |
|---|---|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
websocketJsr356(String path)
Javax Websocket (camel-websocket-jsr356)
Expose websocket endpoints using JSR356.
|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder |
websocketJsr356(String componentName,
String path)
Javax Websocket (camel-websocket-jsr356)
Expose websocket endpoints using JSR356.
|
default JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder websocketJsr356(String path)
websocket-jsr356:uri
Path parameter: uri
If a schemeless URI path is provided, a ServerEndpoint is deployed
under that path. Else if the URI is prefixed with the 'ws://' scheme,
then a connection is established to the corresponding serverpath - uridefault JSR356WebSocketEndpointBuilderFactory.JSR356WebSocketEndpointBuilder websocketJsr356(String componentName, String path)
websocket-jsr356:uri
Path parameter: uri
If a schemeless URI path is provided, a ServerEndpoint is deployed
under that path. Else if the URI is prefixed with the 'ws://' scheme,
then a connection is established to the corresponding servercomponentName - to use a custom component name for the endpoint
instead of the default namepath - uriApache Camel